#include<bits/stdc++.h>
#define max 10000000
using namespace std;
int main ()
{
	int a,b,c,n;
	ifstream f1; f1.open("TANSUAT.INP");
	f1>>n;
	vector<int> s(max+1,0);
	vector<int> dem(max+1,0);
	for (a=0;a<n;a++) 
		{
		f1>>s[a];
		dem[s[a]]++;
		}
	ofstream f2; f2.open("TANSUAT.OUT");
	for (a=0;a<n;a++)
	 if (dem[s[a]]>1) f2<<s[a]<<" "<<dem[s[a]]<<endl;
	f1.close();
	f2.close();
	

}

